<?php

namespace WcDPD;

defined('ABSPATH') || exit;

/**
 * Assets class
 */
class Assets
{
    public static function init()
    {
        add_action('wp_enqueue_scripts', [__CLASS__, 'enqueueScripts']);
    }

    /**
     * Enqueue plugin styles and scripts
     *
     * @return void
     */
    public static function enqueueScripts()
    {
        if (!is_cart() && !is_checkout()) {
            return;
        }

        // Enqueue styles
        wp_enqueue_style('wc_dpd_parcelshop_shipping_method_content_styles', WCDPD_PLUGIN_ASSETS_URL . 'styles/dpd-parcelshop-shipping-method-content.css', [], wc_dpd_get_plugin_version(), 'all');
        wp_enqueue_style('wc_dpd_parcelshop_popup_styles', WCDPD_PLUGIN_ASSETS_URL . 'styles/dpd-parcelshop-popup.css', [], wc_dpd_get_plugin_version(), 'all');

        // Enqueue scripts
        wp_enqueue_script('wc_dpd_parcelshop_popup_scripts', WCDPD_PLUGIN_ASSETS_URL . 'scripts/dpd-parcelshop-popup.js', [], wc_dpd_get_plugin_version(), true);
        wp_localize_script('wc_dpd_parcelshop_popup_scripts', 'wc_dpd_parcelshop_popup_settings', [
            'ajax_url' => admin_url('admin-ajax.php'),
            'required_fields_error_message' => __('Please fill all the fields above!', 'wc-dpd'),
            'select_parcelshop_error_message' => __('Please select one of the available parcelshops!', 'wc-dpd')
        ]);
    }
}
