<?php

/*
 * Plugin Name: DPD SK for WooCommerce
 * Description: DPD SK plugin for WooCommerce which exports orders to the DPD through their API
 * Version: 3.0.2
 * Author: Webikon
 * Author URI: https://www.webikon.sk
 * License: GPLv2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: wc-dpd
 * Requires at least: 5.0
 * Tested up to: 6.2
 * Requires PHP: 7.2
 * WC requires at least: 5.0
 * WC tested up to: 7.4.1
 */

namespace WcDPD;

defined('ABSPATH') || exit;

/**
 * Global plugin constants
 */
//  Work out plugin folder name and store it as a constant
$plugin_dir = str_replace(basename(__FILE__), "", plugin_basename(__FILE__));
$plugin_dir = substr($plugin_dir, 0, strlen($plugin_dir) - 1);
define('WCDPD_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('WCDPD_PLUGIN_DIR', $plugin_dir);
define('WCDPD_PLUGIN_INDEX', __FILE__);
define('WCDPD_PLUGIN_ASSETS_URL', plugins_url(WCDPD_PLUGIN_DIR.DIRECTORY_SEPARATOR.'public'.DIRECTORY_SEPARATOR));
define('WCDPD_PLUGIN_TEMPLATES_PATH', WCDPD_PLUGIN_PATH.DIRECTORY_SEPARATOR.'templates'.DIRECTORY_SEPARATOR);

/**
 * Autoload plugin files
 */
add_action('plugins_loaded', function () {
    // Check that the composer autoloader is present
    $composer_autoloader = WCDPD_PLUGIN_PATH.'vendor'.DIRECTORY_SEPARATOR.'autoload.php';
    if (! file_exists($composer_autoloader)) {
        return;
    }

    require_once $composer_autoloader;

    // Check dependencies: WooCommerce
    if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
        // Initialize plugin
        \WcDPD\Core::init();
    }
});
